TempTML
Keywords: uk.ac.ic.doc.automed.tml.TempTML,TempTML class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.tml
Class TempTML

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.tml.TML
            |
            +--uk.ac.ic.doc.automed.tml.TempTML

public class TempTML
extends TML

This class represents a temporary `TML` in a `TempPathway`.

Author:
  Nerissa Tong (nnyt98@doc.ic.ac.uk)

Method Summary
`int` | `getRefAction()`
`java.lang.String` | `getRefActionString()`
`java.lang.String` | `getRefConstraint()`
`java.lang.String` | `getRefConstructName()`
`java.lang.String` | `getRefFromObjName()`
`java.lang.String` | `getRefFunction()`
`java.lang.String` | `getRefModelName()`
`java.lang.String` | `getRefToObjName()`

Methods inherited from class uk.ac.ic.doc.automed.tml.TML
`addQuerySchemaObjectsToConditions, addToNegPostString, addToNegPreString, addToPosPostString, addToPosPreString, getAction, getActionString, getConstraint, getFromObject, getFromSchema, getFunction, getNegativePostconditions, getNegativePreconditions, getPositivePostconditions, getPositivePreconditions, getQuerySchemaObjects, getRepTran, getTML, getToObject, getToSchema, isChangedRefTML, toActionString, toPrintString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRefAction

    public int getRefAction()

### getRefActionString

    public java.lang.String getRefActionString()

### getRefModelName

    public java.lang.String getRefModelName()

### getRefConstructName

    public java.lang.String getRefConstructName()

### getRefFromObjName

    public java.lang.String getRefFromObjName()

### getRefToObjName

    public java.lang.String getRefToObjName()

### getRefFunction

    public java.lang.String getRefFunction()

### getRefConstraint

    public java.lang.String getRefConstraint()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD